<div id="login-area" class="text-center">
  <div class="card">
    <div class="card-header">
      <h3>Welcome to </h3>
      <img [height]="150" alt="Angular Logo"
           src="https://cdn.dribbble.com/users/278287/screenshots/1343921/orchestrate.gif?source=post_page---------------------------">
      <h2>{{ title }}</h2>
    </div>
    <div class="card-body">
      <form #loginForm="ngForm" (keyup.enter)="startGame($event)">
        <div class="form-group">
          <label for="idsUsername">Username</label>
          <input type="text" class="form-control" id="idsUsername" aria-describedby="usernameHelp"
                 placeholder="Username..." [(ngModel)]="model.username" name="username" required #username="ngModel">
          <small id="usernameHelp" class="form-text text-muted">This is your game username.</small>
        </div>
        <div class="form-group">
          <label for="idsCompanyName">Company Name</label>
          <input type="text" class="form-control" id="idsCompanyName" placeholder="Company Name..."
                 aria-describedby="companyHelp" [(ngModel)]="model.companyName" name="companyName" required
                 #companyName="ngModel">
          <small id="companyHelp" class="form-text text-muted">This will be your company name.</small>
        </div>
        <span class="mr-2">Gender:</span>
        <div class="form-check form-check-inline" title="Male">
          <input class="form-check-input" type="radio" name="genderOptions" id="male" value="Male"
                 [(ngModel)]="model.gender">
          <label class="form-check-label" for="male">👦</label>
        </div>
        <div class="form-check form-check-inline" title="Female">
          <input class="form-check-input" type="radio" name="genderOptions" id="female" value="Female"
                 [(ngModel)]="model.gender">
          <label class="form-check-label" for="female">👧</label>
        </div>
      </form>
    </div>
    <div class="card-footer">
      <button type="submit" class="btn btn-dark" [disabled]="!loginForm.form.valid" (click)="startGame($event)">👟 Start
      </button>
    </div>
  </div>
</div>
